Page MenuHomePhabricator

Make a rough timeline/roadmap to replace usage of Kafkatee by FR with an event-based system to count pageviews to donatewiki
Closed, ResolvedPublic2 Estimated Story Points

Description

There are several pieces to this change: new features to write and deploy, bits of infrastructure to add or modify, tests to perform. We should try to coordinate it all, to ensure a reliable new system is in place within a reasonable timeframe.

For this task, we might list all the changes and tests that need to occur, roughly scope each out as best as possible, and plan when they could ideally happen. We could also try to determine whether coordination is needed with live FR campaigns or tests for any of the steps.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 13 2018, 7:14 PM

A bit of brainstorming about steps to carry out here...

  • CentralNotice EventLogging (done)
  • Donate Wiki EventLogging
  • Adjust DB ingress scripts to accept both EL events and data in the current format
  • Analytics, Traffic and FR infrastructure changes to send the event data to the DB ingress script
  • Create a parallel database for data from EL
  • Activate both systems in parallel to test
  • De-activate old system

What do you think? Surely I've missed a bunch... Thanks!!!!

Nuria renamed this task from Make a rough timeline/roadmap for Kafkatee changes to Make a rough timeline/roadmap to replace usage of Kafkatee by FR with an event-based architecture to count pageviews.Apr 10 2018, 4:49 PM
Nuria renamed this task from Make a rough timeline/roadmap to replace usage of Kafkatee by FR with an event-based architecture to count pageviews to Make a rough timeline/roadmap to replace usage of Kafkatee by FR with an event-based architecture to count pageviews to donatewiki.
Nuria renamed this task from Make a rough timeline/roadmap to replace usage of Kafkatee by FR with an event-based architecture to count pageviews to donatewiki to Make a rough timeline/roadmap to replace usage of Kafkatee by FR with an event-based systeme to count pageviews to donatewiki.Apr 10 2018, 4:53 PM
Nuria renamed this task from Make a rough timeline/roadmap to replace usage of Kafkatee by FR with an event-based systeme to count pageviews to donatewiki to Make a rough timeline/roadmap to replace usage of Kafkatee by FR with an event-based system to count pageviews to donatewiki.
This comment was removed by AndyRussG.

(Sorry, removed the previous comment since I put it on the wrong task... ;p )

Remaining to-do:

  1. Adjust DB ingress scripts to accept both EL events and data in the current format
  2. Analytics, Traffic and FR infrastructure changes to send the event data to the DB ingress script
  3. Create a parallel database for data from EL
  4. Activate both systems in parallel to test
  5. De-activate old system

We're currently on point (1), trying to figure out how that should go (T192839). Really, really rough guesses about completion dates for point (1): Figure out how to do it, 2018-04-30; Make the actual changes, 2018-05-14.

Points 2-5, I think, are in Operations's domain... Any thoughts on those?

Marking closed as per the team's discussion at Sprint Planning.

XenoRyet closed this task as Resolved.Sep 17 2018, 7:20 PM
DStrine set the point value for this task to 2.Jun 4 2019, 3:52 AM